Summary:	Simple media player based on the GStreamer framework
Name:		parole
Version:	1.0.5
Release:	1
License:	GPL v2
Group:		X11/Applications/Multimedia
Source0:	http://archive.xfce.org/src/apps/parole/1.0/%{name}-%{version}.tar.bz2
# Source0-md5:	74fcde5da018c011e5febd9649817c05
URL:		http://www.xfce.org/projects/parole/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	clutter-devel >= 1.16.4
BuildRequires:	clutter-gtk-devel >= 1.4.4
BuildRequires:	dbus-devel >= 0.60
BuildRequires:	dbus-glib-devel >= 0.70
BuildRequires:	gettext-tools
BuildRequires:	gstreamer-devel
BuildRequires:	glib2-devel >= 1:2.30.0
BuildRequires:	gtk+3-devel
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libnotify-devel >= 0.7
BuildRequires:	libtool
BuildRequires:	libxfce4ui-devel >= 4.14.0
BuildRequires:	libxfce4util-devel >= 4.14.0
BuildRequires:	pkgconfig >= 1:0.9.0
BuildRequires:	xfce4-dev-tools >= 4.14.0
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Obsoletes:	xfmedia
Suggests:	gstreamer-imagesink-x
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Parole is a modern simple media player based on the GStreamer
framework and written to fit well in the Xfce desktop.
Parole is designed with simplicity, speed and resource usage in mind.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-browser-plugin \
	--enable-clutter

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_includedir}
%{__rm} $RPM_BUILD_ROOT%{_libdir}/parole-0/*.la

%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/ie
%{__mv} $RPM_BUILD_ROOT%{_localedir}/{hy_AM,hy}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/parole
%dir %{_libdir}/parole-0
%attr(755,root,root) %{_libdir}/parole-0/*.so
%{_datadir}/parole
%{_desktopdir}/org.xfce.Parole.desktop
%{_iconsdir}/hicolor/*/apps/parole*
%{_datadir}/metainfo/parole.appdata.xml
%changelog
* Wed Jul 22 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/parole.git;a=log;h=master

* Wed Jul 22 2020 Krzysztof Mrozowicz <mrozowik@@pld-linux.org> af6b8a6
- up tp version 1.0.5

* Sun Aug 25 2019 Jan Rękorajski <baggins@pld-linux.org> 22933c0
- up to 1.0.4

* Sun Jun 09 2019 Jan Rękorajski <baggins@pld-linux.org> ed6db67
- release 2 (by relup.sh)

* Thu Apr 11 2019 Adam Gołębiowski <adamg@pld-linux.org> d97d89b
- updated to 1.0.2

* Sun Jun 10 2018 Jan Rękorajski <baggins@pld-linux.org> d6fa2d3
- up to 1.0.1

* Mon Apr 27 2015 Jan Rękorajski <baggins@pld-linux.org> fd0b57b
- O: xfmedia
- rel 2

* Tue Mar 31 2015 Jan Rękorajski <baggins@pld-linux.org> 17513fc
- up to 0.8.0

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> b22e704
- updated gettext BR

* Sun Aug 17 2014 Jan Rękorajski <baggins@pld-linux.org> 6912fca
- gtk+2 is unsupported now

* Sun Aug 17 2014 Jan Rękorajski <baggins@pld-linux.org> 23d29d4
- added BR gtk3-devel

* Fri Aug 15 2014 Jan Rękorajski <baggins@pld-linux.org> 888eda4
- up to 0.7.0

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> 889f5e1
- release 2

* Wed Sep 28 2011 Jan Rękorajski <baggins@pld-linux.org> 15cfe00
- rel 1
- updated libxfce4ui patch
- removed obsolete libnotify patch

* Wed Sep 28 2011 Jan Rękorajski <baggins@pld-linux.org> 50e76fd
- outdated

* Wed Sep 28 2011 Jan Rękorajski <baggins@pld-linux.org> d58055c
- rel 0.1

* Wed Sep 28 2011 Jan Rękorajski <baggins@pld-linux.org> d97c7fa
- 0.2.0.6

* Fri Apr 08 2011 lisu <lisu@pld-linux.org> c343cb8
- added libnotify 0.7 support

* Fri Apr 08 2011 lisu <lisu@pld-linux.org> 1170c1c
- rel 3

* Fri Mar 04 2011 Jan Rękorajski <baggins@pld-linux.org> 0a01b1c
- rel 2

* Fri Mar 04 2011 Jan Rękorajski <baggins@pld-linux.org> c2acdb1
- some more libxfce4ui bits

